PROGRAM geheim(input,output);

CONST code1='H';
      code2='A';
      code3='L';
      code4='T';

VAR  eingabe:char;
     flag1,flag2,flag3,flag4:boolean;

BEGIN

  flag1:=FALSE;
  flag2:=FALSE;
  flag3:=FALSE;
  flag4:=FALSE;

  writeln;writeln;
  writeln('Das Programm nimmt Eingaben solange an bis H..A..L.und.T, an');
  writeln('beliebiger Stelle ueber die Tastatur eingegeben worden ist');
  writeln;writeln;

  REPEAT
    readln(eingabe);
    IF eingabe=code1 THEN flag1:=TRUE;
    IF flag1=TRUE  THEN IF eingabe=code2 THEN flag2:=TRUE;
    IF flag2=TRUE  THEN IF eingabe=code3 THEN flag3:=TRUE;
    IF flag3=TRUE  THEN IF eingabe=code4 THEN flag4:=TRUE
  UNTIL flag4=TRUE;

  writeln('Eingabe abgeschlossen')
END.